> ## Documentation Index
> Fetch the complete documentation index at: https://mcp.theoryofevolution.com.au/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get list of categories used in the product

> ## Get list of categories used in the product ##

<p>
Returns a list of IDs for the selected Product.
</p>

#### Response ####

**Top Level Result Object**

 <table class="fullwidth">
     <thead>
         <tr>
             <th>Field name</th>
             <th>Nullable</th>
             <th>Type</th>
             <th>Description</th>
         </tr>
     </thead>
     <tbody>
         <tr>
             <td>results</td><td>n</td><td>Array (Objects)</td><td>Array of Category objects.</td>
         </tr>
     </tbody>
 </table>

 **Category Object**

 <table class="fullwidth">
     <thead>
         <tr>
             <th>Field name</th>
             <th>Nullable</th>
             <th>Type</th>
             <th>Description</th>
         </tr>
     </thead>
     <tbody>
         <tr>
             <td>categoryId</td><td>n</td><td>Integer</td><td>ID of Category.</td>
         </tr>
         <tr>
             <td>label</td><td>n</td><td>String</td><td>Name of Category.</td>
         </tr>
     </tbody>
 </table>



## OpenAPI

````yaml /openapi/website-travel-supplier-api.mintlify.json get /{supplierapi}/productCategories/{productId}
openapi: 3.0.0
info:
  title: Website Travel Supplier API
  version: 0.0.0
  description: >-
    Supplier-facing Website Travel API for authentication, products, media,
    cancellation policies, and vouchers.
servers: []
security: []
tags:
  - name: Version 1
    description: Version 1
  - name: Media
    description: Media
  - name: Packages
    description: Packages
  - name: Booking Details
    description: Booking Details
  - name: Product Prices
    description: Product Prices
  - name: Products
    description: Products
  - name: Vouchers
    description: Vouchers
paths:
  /{supplierapi}/productCategories/{productId}:
    get:
      tags:
        - Version 1
      summary: Get list of categories used in the product
      description: |-
        ## Get list of categories used in the product ##

        <p>
        Returns a list of IDs for the selected Product.
        </p>

        #### Response ####

        **Top Level Result Object**

         <table class="fullwidth">
             <thead>
                 <tr>
                     <th>Field name</th>
                     <th>Nullable</th>
                     <th>Type</th>
                     <th>Description</th>
                 </tr>
             </thead>
             <tbody>
                 <tr>
                     <td>results</td><td>n</td><td>Array (Objects)</td><td>Array of Category objects.</td>
                 </tr>
             </tbody>
         </table>

         **Category Object**

         <table class="fullwidth">
             <thead>
                 <tr>
                     <th>Field name</th>
                     <th>Nullable</th>
                     <th>Type</th>
                     <th>Description</th>
                 </tr>
             </thead>
             <tbody>
                 <tr>
                     <td>categoryId</td><td>n</td><td>Integer</td><td>ID of Category.</td>
                 </tr>
                 <tr>
                     <td>label</td><td>n</td><td>String</td><td>Name of Category.</td>
                 </tr>
             </tbody>
         </table>
      operationId: get_api_product_category_getproductcategories
      parameters:
        - name: productId
          in: path
          description: The ID of the Product to get categories for
          required: true
          schema:
            type: integer
            pattern: \d+
        - name: supplierapi
          in: path
          required: true
          schema:
            type: string
            pattern: supplier|apiv1/supplier
      responses:
        '200':
          description: Returned when successful.
        '400':
          description: Returned on an invalid request.
        '403':
          description: Returned when the user is not authorized.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.